Bug 37713 - Installer does not indicate which partition it will install on
Installer does not indicate which partition it will install on
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-25 20:36 EDT by Hugh
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-26 14:54:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hugh 2001-04-25 20:36:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.7C-SGI [en] (X11; I; IRIX 6.5 IP32)


I run a lab of a dozen Win2K PCs with a central server running RedHat Linux
and Samba. We would like to convert the PCs into dual-boot systems with
both Win2K and Linux. So I picked a test machine and started.

First step: repartition hard disk by shrinking the W2K partition and adding
two new primary partitions for Linux swap and an ext2 for the OS itself.

Second step: boot off RH7 floppy with CD and run the graphical installer.
After the usual questions about configuration, the installer warned me
"This will destroy all data on the partition. Continue?" 

It did not say *which* partition. Being an optimist I decided it had found
the Linux partition and told it to go ahead.

Bzzt! Wrong! Three hours reinstalling W2K from various CDs.

I am *not* asking for  a whole series of "are you really sure about this?"
type dialogs. I am *not* complaining that it can't be done - I've since
found that the text installer works just fine. All that needs to be added
is some indication of the number of partitions on the disk and which will
be affected. (Even better, the graphical installer should let you select.)

The installer can destroy megabytes of data irretrievably. Any such program
absolutely, positively, must be clear and explicit about exactly what it is
doing. It's even more important when the program in question is the first
experience a new RedHat customer has.


Reproducible: Always
Steps to Reproduce:
1. Partition a Windows disk using PartitionMagic, preserving Windows as
first primary
2. Run RedHat installer
3.
Comment 1 Brent Fox 2001-04-26 14:54:43 EDT
The behavior is different in Red Hat Linux 7.1.  We had some complaints about
the exact same issue you are referring to, so we changed the behavior.
Selecting automatic partitioning no longer overwrites any DOS filesystems.
Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.